> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Set Subscription Ordinal for Rotating Product

PATCH https://restapi.ordergroove.com/subscriptions/{subscription_id}/rotation_ordinal/update/
Content-Type: application/json

Control where the customer's rotating subscription is on the rotation cycle

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/subscriptions/set-subscription-ordinal-for-rotation-product

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `subscription_id` (string, required) — Subscription Public ID

### Body (application/json)

This endpoint expects an object.

- `rotating_product` (string, required) — External Product ID
- `ordinal` (integer, optional) — Positive integer that tracks where the subscription is on the rotating subscription cycle

## Response

### 200

200

- `ordinal` (integer, optional, default: 0)
- `rotation_product` (string, optional)
- `subscription` (string, optional)

## Errors

### 400 Bad Request Error

400

- `Set-subscription-ordinal-for-rotation-productRequestBadRequestError`

## Examples

### Result

**Request**

```json
undefined
```

**Response**

```json
{
  "ordinal": 3,
  "rotation_product": "48398725906723",
  "subscription": "f3d45e96871a11efaaddce3115cc9708"
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/"

headers = {"x-api-key": "<apiKey>"}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/';
const options = {method: 'PATCH', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Request Example

**Request**

```json
{
  "rotating_product": "48398725906723",
  "ordinal": 3
}
```

**Response**

```json
{
  "ordinal": 3,
  "rotation_product": "48398725906723",
  "subscription": "f3d45e96871a11efaaddce3115cc9708"
}
```

**SDK Code**

```python Request Example
import requests

url = "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/"

payload = {
    "rotating_product": "48398725906723",
    "ordinal": 3
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Request Example
const url = 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"rotating_product":"48398725906723","ordinal":3}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Request Example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/"

	payload := strings.NewReader("{\n  \"rotating_product\": \"48398725906723\",\n  \"ordinal\": 3\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Request Example
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"rotating_product\": \"48398725906723\",\n  \"ordinal\": 3\n}"

response = http.request(request)
puts response.read_body
```

```java Request Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"rotating_product\": \"48398725906723\",\n  \"ordinal\": 3\n}")
  .asString();
```

```php Request Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/', [
  'body' => '{
  "rotating_product": "48398725906723",
  "ordinal": 3
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Request Example
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"rotating_product\": \"48398725906723\",\n  \"ordinal\": 3\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Request Example
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "rotating_product": "48398725906723",
  "ordinal": 3
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/subscriptions/subscription_id/rotation_ordinal/update/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```